Name:           wiki2beamer
Version:        0.9.5
Release:        4%{?dist}
Summary:        Converts a simple wiki-like syntax to complex LaTeX beamer code
License:        GPLv2+ and GFDL

BuildArch:      noarch
BuildRequires:  python2-devel
URL:            http://sourceforge.net/projects/%{name}
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip

%description
Wiki2beamer converts a simple wiki-like syntax to complex LaTeX beamer code. 
It's written in python and should run on windows and all *nix platforms. Why 
collaborative? Because you can use it with version control systems. Afraid 
to loose some LaTeX powers? Don't worry: you can always fall back to plain 
LaTeX as wiki2beamer is just a preprocessor.

%prep
%setup -q 

for file in code/wiki2beamer; do
    sed -i '1s|^#!/usr/bin/env python|#!%{__python}|' $file
done
mv doc/fdl.txt doc/LICENSE-DOCS

%build
pushd code/
%{__python} setup.py build
popd


%install

pushd code/
%{__python} setup.py install --skip-build --root %{buildroot}
popd
install -m644 -D doc/man/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1
rm -r %{buildroot}/%{python_sitelib}

%check


%files
%doc LICENSE README doc/LICENSE-DOCS doc/example
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Oct 04 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-4
- Email address in changelog
- Remove the clean tag
- Add README to doc

* Thu Oct 04 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-3
- Macro consistency

* Sat Sep 22 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-2
- Fix release tag
- Not cleaning the buildroot(obsolete)
- Renamed fdl.txt to LICENSE-DOCS

* Mon Aug 27 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-1
- Initial package
